-- Battle System Concept v1.32
local loading = false
local loaded = true
local gameReady = false

shd, arm, hul = 0,0,0
pshd, parm, phul = 250, 150, 100
playerCords = {[1] = 32, [2] = 332}

function love.load()

	dt = love.timer.getDelta( )
	require("loveglobals") -- shorthand for coding in love
	require("Libraries.TLTools.tltools") -- library to make tables into strings
	require("Libraries.AnAL.AnAL") -- library to make animations
	require("Objects.object_loading") -- loads all object or entity scripts
	require("Objects.player") -- loads the player information
	
	ents.Startup()
end

function love.draw() -- main drawing function
	if loading == false then
		lg.draw(lg.newImage( "loading.jpg"),0,0)
		loaded = false
	end
	if gameReady == true then
		
		
		lg.draw(gfx[1][1],0,0)
		
		ents:draw()
		
		lg.draw(gfx[5][1],0,0)
		
		love.graphics.setColor(0, 0, 0, 255)
		lg.print(shd,705,35)
		lg.print(arm,705,59)
		lg.print(hul,705,83)
		lg.print(pshd,70,35)
		lg.print(parm,70,59)
		lg.print(phul,70,83)
		love.graphics.setColor(255, 255, 255, 255)
		
		lg.draw(gfx[7][17], playerCords[1],playerCords[2])
	end
	
end

function love.update(dt) -- main updating function

	if loaded == false then

			require("Sounds.sound_loading")
			require("Graphics.graphic_loading")

			load_graphics()
			
			loading = true
			gameReady = true
			loaded = true
			
			player_load()
			ents.Create( "enemy", 732, 332 ) -- example of how to create an object or entity
	end
	if gameReady == true then
	
	
	
	
	
	
	
	end
	player_update()
	ents:update(dt) -- objects or entities updating
end
